<%#
Get Involved Page:
Introduction on how and where you can get involved in the project.
%>

<h1 class="padding-left"><%=tx("getInvolved/Header")%></h1>

<% 
    const prefix = `/${lang_code}/get_involved/`
    const tasks = [
        {
            url: prefix + "programming",
            name: tx("get_involved/programming.ejs"),
            bg:"programming_mplus.png"
        },
        {
            url: prefix + "art",
            name: tx("get_involved/art.ejs"),
            bg:"art.png"
        },
        {
            url: prefix + "game_content",
            name: tx("get_involved/game_content.ejs"),
            bg:"game_content.webp"
        },
        {
            url: prefix + "audio",
            name: tx("get_involved/audio.ejs"),
            bg:"audio.png"
        }
    ]
%>
<div class="task-list">
    <% tasks.forEach(function(task){ %>
    <a href="<%= task.url _%>">
        <div class="task-item">
            <div class="task-item-text">
                <%= task.name _%>
            </div>
            <div class="task-item-between"></div>
            <div class="task-item-bg">
                <img src="/static/get_involved/<%= task.bg _%>" width="100%"></img>
            </div> 
        </div>
    </a>
    <% }); %>
</div>

<p class="padding-left">
    <%=tx("getInvolved/TaskNotListed/1")%><br>
    <%=tx("getInvolved/TaskNotListed/2")%> <a href="/<%=lang_code%>/community"><%=tx("getInvolved/TaskNotListed/reachOut")%></a>
</p>
